
<section fxFlexAlign="flex-center">
    <div class="title">
        <h1>Email Verification</h1>
        <hr>
    </div>
    <div>
        <mat-spinner  style="margin: auto" [strokeWidth]="2" diameter="50" *ngIf="loading"></mat-spinner>
        <mat-card *ngIf="success" class="card" fxFlex="60">
            <p mat-card-title>Thank You!</p>
            <mat-card-content>
                <div class="text-center">
                    <mat-icon class="icon">check_circle_outline</mat-icon>
                    <h2>Your email is successfully verified.</h2>
                    <p>You can now login and access you account.</p>
                    <a mat-button href="/">Login here</a>
                </div>
            </mat-card-content>
        </mat-card>
    </div>
    <div *ngIf="errorMessage" >
        <p class="empty">{{ errorMessage }}
            <a href="/" *ngIf="accoutStatus == 'active'"><strong>Login Now</strong></a>
            <a href="/" *ngIf="accoutStatus != 'active'"><strong>Go back</strong></a>
        </p>
    </div>
</section>
